Subject: bug#17049: [PATCH] Make reverse! forego the cost of SCM_VALIDATE_LIST

From: Andy Wingo <[email-masked]>
Date: Thu, 20 Mar 2014 21:50:11 +0100

Hi,

Thanks for the patch.  What is its performance impact for your use case?

On Thu 20 Mar 2014 12:23, David Kastrup <[email-masked]> writes:

> +  /* We did not start with a proper list.  Undo the reversal. */

I'm hesitant.  This is visible to other threads.  (Granted there has to
be significant wrongness if we get here...)

Andy
-- 
http://wingolog.org/